@mixin triangle-up($size, $color) {
	width: 0;
	height: 0;
	border-left: $size solid transparent;
	border-right: $size solid transparent;
	border-bottom: ($size * 2) solid $color;
}

@mixin triangle-down($size, $color) {
	width: 0;
	height: 0;
	border-left: $size solid transparent;
	border-right: $size solid transparent;
	border-top: ($size * 2) solid $color;
}

@mixin triangle-left($size, $color) {
	width: 0;
	height: 0;
	border-top: $size solid transparent;
	border-right: ($size * 2) solid $color;
	border-bottom: $size solid transparent;
}

@mixin triangle-right($size, $color) {
	width: 0;
	height: 0;
	border-top: $size solid transparent;
	border-left: ($size * 2) solid $color;
	border-bottom: $size solid transparent;
}

@mixin triangle-topleft($size, $color) {
	width: 0;
	height: 0;
	border-top: $size solid $color;
	border-right: $size solid transparent;
}

@mixin triangle-topright($size, $color) {
	width: 0;
	height: 0;
	border-top: $size solid $color;
	border-left: $size solid transparent;
}

@mixin triangle-bottomleft($size, $color) {
	width: 0;
	height: 0;
	border-bottom: $size solid $color;
	border-right: $size solid transparent;
}

@mixin triangle-bottomright($size, $color) {
	width: 0;
	height: 0;
	border-bottom: $size solid $color;
	border-left: $size solid transparent;
}
